Bug 629398 - contacts does not load addressbook
contacts does not load addressbook
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F14-accepted/F14FinalFreezeExcept
  Show dependency treegraph
Reported: 2010-09-01 17:27 EDT by Paul W. Frields
Modified: 2013-01-10 01:11 EST (History)
6 users (show)

See Also:
Fixed In Version: evolution-data-server-2.32.0-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-10-28 02:16:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul W. Frields 2010-09-01 17:27:27 EDT
Here is the output at the terminal:

** Message: Initialising Contacts object
** Message: Ready

(contacts:9044): GLib-GObject-CRITICAL **: g_value_get_int: assertion `G_VALUE_HOLDS_INT (value)' failed

I believe something may have changed in evolution-data-server, since I have another small program that is not working with the latest e-d-s.
Comment 1 Peter Robinson 2010-10-08 09:28:52 EDT
Milan: I see this on contacts as well but I can't see wby or any errors or debug, can you possibly shed some light?
Comment 2 Milan Crha 2010-10-11 05:01:10 EDT
I'm not aware of any debugging facility on his (some environment variable to enable debug output around EBook). I see that contacts is opening books either with given URI or the system addressbook. With uri the file://... changed to local:..., but it might not influence the system default addressbook. Maybe try to get from where is the g_value_get_int assertion warning, the backtrace of it may be useful, in case it's related to the issue.
Comment 3 Milan Crha 2010-10-15 04:22:20 EDT
I used 'contacts' from rawhide, built against my git master of evo and friends and it doesn't suffer of this, but I see there might be some issue with opening a system/default addressbook in EBook, thus I'll investigate more and let you know.
Comment 4 Milan Crha 2010-10-15 05:45:03 EDT
Could you try with this scratch/test build [1], please? It contains possible fix for this issue. Thanks in advance.

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=2536584
Comment 5 Paul W. Frields 2010-10-15 11:07:15 EDT
That test build fixes the problem for me.
Comment 6 Paul W. Frields 2010-10-15 11:07:48 EDT
Should this be reassigned to evolution-data-server?
Comment 7 Milan Crha 2010-10-18 02:41:22 EDT
(In reply to comment #6)
> Should this be reassigned to evolution-data-server?

Yes. Thanks for testing this. I committed patch to upstream sources for 2.32.1 and 2.91.1 on Friday, so it'll be available little later. I'm rebuilding evolution-data-server for Fedora 14 now.
Comment 8 Fedora Update System 2010-10-18 02:55:05 EDT
evolution-data-server-2.32.0-3.fc14 has been submitted as an update for Fedora 14.
Comment 9 Paul W. Frields 2010-10-18 09:27:10 EDT
I can't recall whether you need to put in a rel-eng request for this to get into F14 GA -- I think this will end up as a 0-day update otherwise, and not on the DVD/CDs.
Comment 10 Milan Crha 2010-10-18 12:30:48 EDT
To be honest I do not know. I only know that evolution-data-server is a critical path package, and as such I cannot just push it to stable. If you think rel-eng should be involved, then I'm fine.
Comment 11 Peter Robinson 2010-10-18 13:21:46 EDT
(In reply to comment #10)
> To be honest I do not know. I only know that evolution-data-server is a
> critical path package, and as such I cannot just push it to stable. If you
> think rel-eng should be involved, then I'm fine.

Not anything to do with critical path, its because of the new updates criteria as outlined in the massive orange bar at the top of the bodhi screen.
Comment 12 Paul W. Frields 2010-10-21 12:31:14 EDT
Jesse Keating advised thus when I emailed him:

"The bug can be proposed as a release blocker by making it block
F14Blocker.  We will review it and A) accept it as a blocker, B) reject
it as a blocker, but consider it "Nice to Have", or C) reject it as
either a blocker or NTH.

If A), we'd hold off on making RC today, get the build pushed stable, do
another Branched compose and try to get the RC out today.

If B) RC will compose as planned in a few minutes.  Should there be any
issue with RC and we have to take more builds, we would consider taking
this in as well for a future RC

If C) the update will go out as a 0-day update for Fedora 14."

I'm proposing this for a blocker, but this bug likely doesn't meet the requirements to be accepted as anything more than NTH.  So really, it should probably only under categories B or C.  Great if we can get it to the RC, otherwise, a 0-day update will have to suffice.

I'm going to reopen this and change the state to VERIFIED.  If that's a mistake I apologize in advance!
Comment 13 Adam Williamson 2010-10-21 13:27:25 EDT
Given the circumstances I think we're okay with a 0-day update for this. I can go with calling it NTH, meaning if we need an RC2 for any reason, we'll pull the update into that if it has enough karma. So, I vote +1 NTH, -1 blocker.

Fedora Bugzappers volunteer triage team
Comment 14 Jesse Keating 2010-10-21 14:10:52 EDT
I agree, NTH
Comment 15 Adam Williamson 2010-10-21 14:12:34 EDT
I've up-karma'ed the update, you can submit it to stable now (which means it'd go as a 0-day update or we could pull it into RC2 if RC2 is necessary).

Fedora Bugzappers volunteer triage team
Comment 16 Adam Williamson 2010-10-21 14:13:03 EDT
marking acceptednth as we have two votes.

Fedora Bugzappers volunteer triage team
Comment 17 Fedora Update System 2010-10-28 02:15:58 EDT
evolution-data-server-2.32.0-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.